## ros-noetic-interactive-marker-twist-server 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(interactive_marker_twist_server)

find_package(catkin REQUIRED COMPONENTS
  interactive_markers
  roscpp
  tf
  visualization_msgs)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_executable(${PROJECT_NAME} src/marker_server)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}
  PROPERTIES OUTPUT_NAME marker_server PREFIX "")

install(TARGETS ${PROJECT_NAME} DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/interactive_markers.launch)

  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-noetic-interactive-marker-twist-server (1.2.2-1buster) buster; urgency=high

  * Remove the leading '/' from the default link; this causes errors in Noetic
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 03 Feb 2021 05:00:00 -0000

ros-noetic-interactive-marker-twist-server (1.2.1-1buster) buster; urgency=high

  * Added tf as a dep.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 26 Jan 2021 05:00:00 -0000

ros-noetic-interactive-marker-twist-server (1.2.0-1buster) buster; urgency=high

  * Fixed CMake warning and updated to package format 2. (#11 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/11>)
  * Install the default config files. (#10 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/10>)
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 22 Jun 2017 04:00:00 -0000

ros-noetic-interactive-marker-twist-server (1.1.0-1buster) buster; urgency=high

  * Added additional degrees of freedom (YZ) to linear interactive markers. (#7 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/7>)
  * Fix YZ rotation. (#6 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/6>)
  * Contributors: Mike Purvis, Paul Bovbel, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Dec 2016 05:00:00 -0000

ros-noetic-interactive-marker-twist-server (1.0.0-1buster) buster; urgency=high

  * Add roslaunch file check, roslint
  * Make cmd_vel topic relative; fixes #3 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/3>.
  * Max speed control, fixes #1 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/1>
  * Update copyright.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 31 Mar 2014 04:00:00 -0000

ros-noetic-interactive-marker-twist-server (0.0.1-1buster) buster; urgency=high

  * Parameterize robot's name and the size of the resulting markers.
  * Remove non-markers files from turtlebot_viz, Turtlebot-specific references.
  * Starting point is https://github.com/turtlebot/turtlebot_viz

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 27 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-interactive-marker-twist-server
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-interactive-markers, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-roslint, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-interactive-marker-twist-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-interactive-markers, ros-noetic-roscpp, ros-noetic-tf, ros-noetic-visualization-msgs
Description: Interactive control for generic Twist-based robots using interactive markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-interactive-marker-twist-server//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
